> ## Documentation Index
> Fetch the complete documentation index at: https://developer.noodle.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Excluir Lote

> Este endpoint permite excluir um lote específico desde que não tenha nenhum pagamento realizado.



## OpenAPI

````yaml api-reference/openapi.json delete /split/{split_id}
openapi: 3.1.0
info:
  title: Noodle API
  contact:
    name: Time de Engenharia da Noodle
    url: https://www.noodle.cx/contato
    email: dev@noodle.cx
  version: 1.0.0
servers:
  - url: https://production.api.noodle.cx/external
    description: Servidor de Produção
  - url: https://homolog.api.noodle.cx/external
    description: Servidor de Homologação (Staging)
security: []
paths:
  /split/{split_id}:
    delete:
      tags:
        - Lotes
      summary: Excluir Lote
      description: >-
        Este endpoint permite excluir um lote específico desde que não tenha
        nenhum pagamento realizado.
      operationId: delete_split_split__split_id__delete
      parameters:
        - name: split_id
          in: path
          required: true
          schema:
            type: string
            title: Split Id
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.